void RCC_Configuration(void);
void GPIO_Config(void);


#define GPIO_Pin_MMC_SCK		GPIO_Pin_13
#define GPIO_Pin_MMC_MISO		GPIO_Pin_14
#define GPIO_Pin_MMC_MOSI		GPIO_Pin_15
#define GPIO_Pin_MMC_CS			GPIO_Pin_12
#define GPIO_Pin_MMC_PEN		GPIO_Pin_11

#define GPIO_MMC					GPIOB


#define MMC_Select()			GPIO_ResetBits(GPIO_MMC, GPIO_Pin_MMC_CS)    /* MMC CS = L */
#define MMC_Deselect()			GPIO_SetBits(GPIO_MMC, GPIO_Pin_MMC_CS)      /* MMC CS = H */

void GPIO_Configuration(void);

void mmc_spi_init(void);
char SPI(char dat);
void SPI_SPEED_UP(void);


void TIM1_Configuration(long Tm_us);    // Max 6000000 /min 1
void USART_Configuration(void);
